---
updatedAt: 2026-09-26T02:51:07.000Z
agentTools:
  projectIndex: https://developers.dialpad.com/llms.txt
---

# Label -- List

Gets all labels for a determined company.

Rate limit: 1200 per minute.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "protos.call_label.CompanyCallLabels": {
        "properties": {
          "labels": {
            "description": "The labels associated to this company.",
            "items": {
              "type": "string"
            },
            "type": [
              "array",
              "null"
            ]
          }
        },
        "title": "Company Labels.",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearer_token": {
        "description": "The API key can be put in the Authorization header.\ni.e. Authorization: Bearer <api_key>",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Dialpad's APIs for customer and third-party developer use",
    "title": "Dialpad",
    "version": "v2",
    "x-logo": {
      "altText": "Dialpad",
      "url": "https://storage.googleapis.com/dialpad_openapi_specs/logo.png"
    }
  },
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/calllabels": {
      "get": {
        "deprecated": false,
        "description": "Gets all labels for a determined company.\n\nRate limit: 1200 per minute.",
        "operationId": "call_labels.list",
        "parameters": [
          {
            "description": "The maximum number of results to return.",
            "in": "query",
            "name": "limit",
            "required": false,
            "schema": {
              "default": 1000,
              "format": "int64",
              "type": "integer"
            }
          }
        ],
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/protos.call_label.CompanyCallLabels"
                }
              }
            },
            "description": "A successful response"
          }
        },
        "summary": "Label -- List",
        "tags": [
          "calllabels"
        ],
        "x-access": [
          "user"
        ],
        "x-ratelimit": [
          [
            20,
            1
          ]
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://dialpad.com"
    },
    {
      "url": "https://sandbox.dialpad.com"
    }
  ],
  "security": [
    {
      "bearer_token": []
    }
  ],
  "x-readme": {
    "apply-tag-changes": true,
    "explorer-enabled": true,
    "proxy-enabled": false
  }
}
```